import type { GithubRepository } from '../types/graphql';
import type { PageArgs } from '../relay';
export declare function requestRepositories(githubRepositories: GithubRepository[], pageArgs: PageArgs): import("../relay").Page<unknown>;
export declare function requestRepository(repository: GithubRepository): {
    name: string;
    isArchived: boolean;
    nameWithOwner: string;
    repositoryTopics: {
        nodes: {
            topic: {
                name: string;
            };
        }[];
    };
    languages: {
        nodes: {
            name: string;
        }[];
    };
    url: string;
    visibility: string;
    owner: {
        __typename: string;
        login: string;
        name: string;
        url: string;
    };
};
//# sourceMappingURL=repositories.d.ts.map